> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-pb-update-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getEvent

> Retrieves the [Event](#schema_event) object for a valid identifier.



## OpenAPI

````yaml chat-openapi.json GET /events/{id}
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /events/{id}:
    get:
      tags:
        - Endpoints
      summary: Get Event
      description: Retrieves the [Event](#schema_event) object for a valid identifier.
      operationId: getEvent
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: ID of the Event
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Returns an [Event](#schema_event) object if a valid identifier was
            provided
          content:
            application/json:
              schema:
                type: object
                properties:
                  event:
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID of the custom [Event](#schema_event).
                      createdAt:
                        type: string
                        format: date-time
                        description: >-
                          Creation date of the custom [Event](#schema_event) in
                          ISO 8601 format
                      payload:
                        type: object
                        additionalProperties: {}
                        description: Payload is the content of the custom event.
                      conversationId:
                        type: string
                        description: ID of the [Conversation](#schema_conversation).
                      userId:
                        type: string
                        description: ID of the [User](#schema_user).
                    required:
                      - id
                      - createdAt
                      - payload
                      - conversationId
                      - userId
                    additionalProperties: false
                    x-readme-ref-name: Event
                required:
                  - event
                title: getEventResponse
                additionalProperties: false
        default:
          description: >-
            Returns an [Event](#schema_event) object if a valid identifier was
            provided
          content:
            application/json:
              schema:
                type: object
                properties:
                  event:
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID of the custom [Event](#schema_event).
                      createdAt:
                        type: string
                        format: date-time
                        description: >-
                          Creation date of the custom [Event](#schema_event) in
                          ISO 8601 format
                      payload:
                        type: object
                        additionalProperties: {}
                        description: Payload is the content of the custom event.
                      conversationId:
                        type: string
                        description: ID of the [Conversation](#schema_conversation).
                      userId:
                        type: string
                        description: ID of the [User](#schema_user).
                    required:
                      - id
                      - createdAt
                      - payload
                      - conversationId
                      - userId
                    additionalProperties: false
                    x-readme-ref-name: Event
                required:
                  - event
                title: getEventResponse
                additionalProperties: false

````